lang/pict - The NetBSD Packages Collection

Concurrent language based on Milner's pi calculus

Pict is a language in the ML tradition, formed by adding a layer of
convenient syntactic sugar and a static type system to a tiny
core. The current release includes a Pict-to-C compiler, reference
manual, language tutorial, numerous libraries, and example programs.

The core language - an asynchronous variant of Milner, Parrow, and
Walker's pi-calculus - has been used as a theoretical foundation for a
broad class of concurrent computations. The goal in Pict is to
identify high-level idioms that arise naturally when these primitives
are used to build working programs - idioms such as basic data
structures, protocols for returning results, higher-order programming,
selective communication, and concurrent objects. The type system
integrates a number of features found in recent work on theoretical
foundations for typed object-oriented languages: higher-order
polymorphism, simple recursive types, subtyping, and a powerful
partial type inference algorithm.

Build dependencies

pkgtools/x11-links pkgtools/mktools devel/gmake pkgtools/cwrappers

Runtime dependencies

lang/ocaml

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64pict-4.1nb18.tgz
NetBSD 10.0aarch64pict-4.1nb18.tgz
NetBSD 10.0earmv6hfpict-4.1nb18.tgz
NetBSD 10.0earmv6hfpict-4.1nb18.tgz
NetBSD 10.0earmv7hfpict-4.1nb18.tgz
NetBSD 10.0earmv7hfpict-4.1nb18.tgz
NetBSD 10.0i386pict-4.1nb18.tgz
NetBSD 10.0powerpcpict-4.1nb18.tgz
NetBSD 10.0powerpcpict-4.1nb18.tgz
NetBSD 10.0x86_64pict-4.1nb18.tgz
NetBSD 10.0x86_64pict-4.1nb18.tgz
NetBSD 8.0i386pict-4.1nb18.tgz
NetBSD 8.0i386pict-4.1nb18.tgz
NetBSD 8.0powerpcpict-4.1nb17.tgz
NetBSD 8.0powerpcpict-4.1nb18.tgz
NetBSD 8.0powerpcpict-4.1nb18.tgz
NetBSD 8.0x86_64pict-4.1nb18.tgz
NetBSD 8.0x86_64pict-4.1nb18.tgz
NetBSD 9.0aarch64pict-4.1nb18.tgz
NetBSD 9.0aarch64pict-4.1nb18.tgz
NetBSD 9.0aarch64pict-4.1nb18.tgz
NetBSD 9.0alphapict-4.1nb17.tgz
NetBSD 9.0earmv6hfpict-4.1nb18.tgz
NetBSD 9.0earmv6hfpict-4.1nb18.tgz
NetBSD 9.0earmv7hfpict-4.1nb18.tgz
NetBSD 9.0earmv7hfpict-4.1nb18.tgz
NetBSD 9.0i386pict-4.1nb18.tgz
NetBSD 9.0i386pict-4.1nb18.tgz
NetBSD 9.0i386pict-4.1nb18.tgz
NetBSD 9.0mips64ebpict-4.1nb17.tgz
NetBSD 9.0sparc64pict-4.1nb17.tgz
NetBSD 9.0sparc64pict-4.1nb18.tgz
NetBSD 9.0sparc64pict-4.1nb18.tgz
NetBSD 9.0sparc64pict-4.1nb18.tgz
NetBSD 9.0x86_64pict-4.1nb18.tgz
NetBSD 9.0x86_64pict-4.1nb18.tgz
NetBSD 9.0x86_64pict-4.1nb18.tgz
NetBSD 9.0x86_64pict-4.1nb18.tgz
NetBSD 9.0x86_64pict-4.1nb18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.